Support for Rails on Linux and the readline package

Hi,
I'm installing Rails on Linux and I want to share my experiences with
it. I expected a smooth installation because the Rails experts often
mention Linux as the preferred platform for Rails. I think it is true
if there wasn't the readline requirement. This package will allow to
start the Rails console. Because of the requirement I think in fact
many will experience that installing Rails on Linux also means
searching the outer edges of the internet for the readline package and
maybe having to compile the package themselves for a specific
distribution. The fact that the readline package is default not in
most Linux distributions implies that Rails should not depend on it?.

Already and only for three slightly different SuSE distributions I
have spend countless hours searching for that package.
Best Regards,
Onno